Bug 656943 - KVM guest crashes if vmware vga option is used
KVM guest crashes if vmware vga option is used
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
14
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-24 10:04 EST by Moses
Modified: 2013-01-09 06:43 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-28 09:41:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Moses 2010-11-24 10:04:48 EST
Description of problem:

KVM guest crashes if vmware driver is used


Version-Release number of selected component (if applicable):

KVM - 0.13.0

How reproducible:

Start a VM with the -vga vmware option

Steps to Reproduce:
1. launch image with -vga vmware optin
2. guest will crash after boot screen (Guest Debian Squeeze)
3.
  
Actual results:

Crash

Expected results:

Guest reports

unaligned pointed 0x8ef300002
Aborted. Press any key to exit

The guest is then unresponsive

Additional info:
Comment 1 Moses 2010-11-30 02:11:33 EST
This also applies to Debian Lenny guests and any vga option including other than vga or cirrus including qxl from spice
Comment 2 Jes Sorensen 2010-12-28 09:41:30 EST
Ok, I have verified that this happens both with qemu-kvm from Fedora,
and with upstream QEMU.

However if using a Fedora guest this problem does not exist.

Given that this problem happens for you both when using the vmware and
the spice drivers, I find it very unlikely that this is a problem with
the qemu-kvm package in Fedora. It seems more like a problem with the
vmware and spice drivers in Ubuntu.

Please open a bug report with Ubuntu over this, and if you can reproduce
it with the vmware drivers in a Windows guest, or if you can reproduce it
with spice using a non Ubuntu guest, please reopen this bug.

Thanks,
Jes

Note You need to log in before you can comment on or make changes to this bug.